=== debian/changelog ===
jesred (1.2pl1-22) unstable; urgency=low

  * adjusted control for the squid3->squid renaming (closes: #817135)

 -- Alexander Zangerl <az@debian.org>  Sat, 12 Mar 2016 11:18:35 +1000

jesred (1.2pl1-21) unstable; urgency=medium

  * adjusted installation dir to layout of squid version 3.5.6++
    (closes: #804313)

 -- Alexander Zangerl <az@debian.org>  Sun, 08 Nov 2015 11:42:19 +1000

jesred (1.2pl1-20) unstable; urgency=medium

  * fix for squid 3.4+ format incompatibility
    (closes: #801907)
  * updated the example default configs a little
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Fri, 23 Oct 2015 22:52:04 +1000

jesred (1.2pl1-19) unstable; urgency=low

  * added support for ipv6 (closes: #714819)

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Sep 2013 13:37:11 +1000

jesred (1.2pl1-18) unstable; urgency=low

  * lifted standards version, dh compat version
  * migrated to 3.0 quilt source format (closes: #671645)
  * enabled hardening build options
  * removed very old example files, updated README.Debian

 -- Alexander Zangerl <az@debian.org>  Sun, 15 Sep 2013 21:38:30 +1000

jesred (1.2pl1-17) unstable; urgency=low

  * integrated some old, overlooked patches from the debian diff.
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Mon, 20 Sep 2010 19:22:09 +1000

jesred (1.2pl1-16) unstable; urgency=high

  * fix for rewriter message format changes in squid 3 (closes: #505199)
  * amended the urlgroup matching: now urlgroups
    are compared IFF a rule explicitely says to (like the docs state).

 -- Alexander Zangerl <az@debian.org>  Tue, 11 Nov 2008 10:03:01 +1000

jesred (1.2pl1-15) unstable; urgency=high

  * reworked patch for urlgroup matching: didn't recognize 
    squid telling us "no urlgroup" and hence wouldn't match.

 -- Alexander Zangerl <az@debian.org>  Sat, 28 Jun 2008 16:13:52 +1000

jesred (1.2pl1-14) unstable; urgency=low

  * incorporated fixes and contributions by Nathan Rickerby (thanks!):
    use vsnprintf to not segfault (closes: #487976)
    remove method restriction (closes: #487978)
    add support for urlgroup matching and returning (closes: #487980) 
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Fri, 27 Jun 2008 13:11:39 +1000

jesred (1.2pl1-13) unstable; urgency=low

  * added squid3 as alternative squid-provider (closes: #446721)

 -- Alexander Zangerl <az@debian.org>  Mon, 15 Oct 2007 18:51:43 +1000

jesred (1.2pl1-12) unstable; urgency=low

  * lifted standards version, updated debhelper depencendy

 -- Alexander Zangerl <az@debian.org>  Tue, 10 Apr 2007 18:31:12 +1000

jesred (1.2pl1-11) unstable; urgency=low

  * adjusted rewrite.c to understand both old and new redirector input 
    format which squid 2.6 introduced (closes: #381984)

 -- Alexander Zangerl <az@debian.org>  Wed,  9 Aug 2006 14:02:16 +1000

jesred (1.2pl1-10) unstable; urgency=low

  * a brown paper-bag release to fix the 
    garbled build-depends (closes: #328925) 

 -- Alexander Zangerl <az@debian.org>  Sun, 18 Sep 2005 22:14:21 +1000

jesred (1.2pl1-9) unstable; urgency=low

  * updated standards version
  * switched to dpatch for debian-specific stuff
  * updated code to always use extended regexps (closes: #328506)
  * cleaned up code a bit to get rid of compiler warnings 
    (on suggestion by Alexander Davydenko)

 -- Alexander Zangerl <az@debian.org>  Sat, 17 Sep 2005 17:46:04 +1000

jesred (1.2pl1-8) unstable; urgency=low

  * updated zed's comments in the example bofh rule file (closes: #263774)
  * added dhttpd as minimal but explicit suggestion

 -- Alexander Zangerl <az@debian.org>  Fri, 13 Aug 2004 18:23:34 +1000

jesred (1.2pl1-7) unstable; urgency=low

  * cleaned up description, added homepage.
  * lifted standards version
  * moved squid from recommends to depends
  * improved documentation (closes: #106999)

 -- Alexander Zangerl <az@debian.org>  Thu, 11 Dec 2003 12:23:47 +1000

jesred (1.2pl1-6) unstable; urgency=low

  * new maintainer (closes: #194117)
  * cleaned up build process slightly

 -- Alexander Zangerl <az@debian.org>  Sun, 25 May 2003 13:08:41 +1000
  

jesred (1.2pl1-5) unstable; urgency=low

  * Move sample redirect images and files into their own redir
    directory for easy access (closes: #146443)
  * Bump standards version to 3.5.10
  * Orphaned.  I no longer use this redirector, having moved
    everything over to SquidGuard a long time ago.
  * #include <string.h> in pattern_list.c

 -- Zed Pobre <zed@debian.org>  Wed, 21 May 2003 00:09:39 -0500

jesred (1.2pl1-4) unstable; urgency=low

  * Been almost a year since the last BOFH ruleset update.  Massive
    changes in this one, including a merge of a lot of individual entries
    into a single ad.*.com type entry.  Fixed the automatic tracking
    avoidance rulesets as well, commented why it was broken before.
  * DH_COMPAT=3 (Build-Depends updated)
  * Standards-Version: 3.5.2
  * INSTALL file removed from deb
  * Some unused templates removed

 -- Zed Pobre <zed@debian.org>  Sat, 24 Feb 2001 11:28:03 -0600

jesred (1.2pl1-3) unstable; urgency=low

  * Added sharutils to the Build-Depends (closes: #62120)
  * BOFH ruleset updated.
  * Removed the "Faster than other redirectors" line from the description,
    since my compiles are slow for some reason.

 -- Zed Pobre <zed@debian.org>  Mon, 10 Apr 2000 11:38:05 -0500

jesred (1.2pl1-2) unstable; urgency=medium

  * -DUSE_ACCEL commented out.  It was causing too many problems for a
    marginal increase in performance.
  * BOFH ruleset updated.  http://www.nasdaq.com should no longer have
    problems due to the akamaitech filters.

 -- Zed Pobre <zed@debian.org>  Sat, 25 Mar 2000 17:09:46 -0600

jesred (1.2pl1-1) unstable; urgency=low

  * Initial Release.

 -- Zed Pobre <zed@debian.org>  Mon, 20 Mar 2000 16:45:45 -0600
