=== debian/control ===
Source: jesred
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
Section: web
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Standards-Version: 3.9.6

Package: jesred
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, squid (>= 3.5.6)
Recommends: dhttpd | httpd
Homepage: http://www.linofee.org/~elkner/webtools/jesred/
Description: Redirector for the Squid proxy
 Jesred is a very fast and highly configurable redirector for the Squid
 HTTP caching proxy. Jesred needs little memory, can rewrite all
 HTTP request methods and offers extensive logging.
