=== debian/rules ===
#!/usr/bin/make -f
PACKAGE=jesred
DEST=$(CURDIR)/debian/$(PACKAGE)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# to get -D_FORTIFY_SOURCE=2
CFLAGS += $(CPPFLAGS)

build-arch: build
build-indep:

build: build-stamp 

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -d -m 0755 $(DEST)/etc $(DEST)/usr/lib/squid
	install -m 0755 jesred $(CURDIR)/debian/$(PACKAGE)/usr/lib/squid/
	install -m 0644 etc/jesred.conf $(DEST)/etc
	install -m 0644 etc/redirect.acl $(DEST)/etc/jesred.acl
	install -m 0644 etc/redirect.rules $(DEST)/etc/jesred.rules
	install -m 0644 etc/redirect.rules $(DEST)/usr/share/doc/$(PACKAGE)/examples/jesred.default.rules

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -n
	dh_installexamples
	dh_installman
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress -Xjesred.bofh.rules
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install
